Updating to 4.2..anything I should know first?

Discussion in 'Wii - Hacking' started by psiko74, Jan 22, 2010.

Jan 22, 2010
  1. psiko74
    OP

    Newcomer psiko74 Member

    Joined:
    Jan 22, 2009
    Messages:
    36
    Country:
    United States
    Im using a 4.0 console with Bootmii on boot2 and Priiloader. Is there anything else I should install before hand? Should I use Waninkoko's installer?
     


  2. ecw

    Member ecw GBAtemp Regular

    Joined:
    Jan 7, 2009
    Messages:
    175
    Country:
    United States
    Not sure why you want to go to 4.2 but the first thing I would do is make a Nand backup with BootMii as you have Boot2. The Wii's I have been modding that are below 4.1, have been updated to 4.1 using Pimp My Wii 1.32. Worked great for me. [​IMG]
     
  3. DKAngel

    Member DKAngel GBAtemp Advanced Fan

    Joined:
    Jan 5, 2009
    Messages:
    659
    Location:
    Perth,Australia
    Country:
    Australia
    dont use wanys installer

    all u really need to do is install ios70 and the 4.2 sys menu
     
  4. giantpune

    Member giantpune GBAtemp Addict

    Joined:
    Apr 10, 2009
    Messages:
    2,860
    Country:
    United States
    if you do the official update it will remove both preloader and bootmii and all cIOSes except 250. so reinstall those afterwards.
    you can also update yourself with wads or a safe updater and just not install the boot2 and piracy prevention IOSes. you will still have to reinstall preloader since it is killed by installing the actual system menu.
     
  5. lightyear

    Member lightyear GBAtemp Regular

    Joined:
    Mar 5, 2009
    Messages:
    240
    Country:
    United States
    You should know that 4.2 sucks, it only existed originally to kill homebrew, and your wii could potentially brick because of the update. Bricks are STILL so common that people have bricked their consoles on their own, having nothing to do with 4.2, and Nintendo is willing to replace them at no cost. They are fully aware of the brick potential, and they don't care.

    Waninkoko's updater stubs your IOS, and the official updater has the highest potential to brick your system. WAD install of the system menu & IOS70 is the safest method, but it's still not entirely safe....brick potential is still there.

    Don't upgrade to 4.2. It's bad news, and you will not gain a single thing from doing so. 4.0 already has EVERYTHING 4.2 has, so what's the point?

    Besides, like I said earlier, 4.2 was originally created with the sole purpose of killing homebrew....nothing else. That's the only difference......so why switch to something that could potentially ruin everything you've worked so hard to prevent?
     
  6. 666

    Newcomer 666 Advanced Member

    Joined:
    Jul 18, 2006
    Messages:
    57
    Country:
    I'm on 3.2e, is there any point to go up to 4?
     
  7. longtom1

    Member longtom1 Keep an eye on my posts cause I quick edit frequen

    Joined:
    Jan 12, 2009
    Messages:
    2,641
    Location:
    Honey Oils inc.
    Country:
    Antarctica
    the only reason to go to 4.1 or 4.2 is for the wii sports resort fix and the sd card menu
     
  8. Sabin_Figaro

    Member Sabin_Figaro GBAtemp Regular

    Joined:
    Jul 16, 2009
    Messages:
    226
    Country:
    Colombia
    here we go again... 4.2 update is safe if you use safe updater, and the brick potentioal is 0.000000000001%

    Please use Safe Updater and you will preloader.
     
  9. longtom1

    Member longtom1 Keep an eye on my posts cause I quick edit frequen

    Joined:
    Jan 12, 2009
    Messages:
    2,641
    Location:
    Honey Oils inc.
    Country:
    Antarctica
    I thought that the safe updater downloads the old version of the shop channel not v18 I might be wrong
     
  10. razorback78

    Member razorback78 GBAtemp Maniac

    Joined:
    Aug 3, 2009
    Messages:
    1,183
    Country:
    Philippines
    you could use dop-ios mod to this for you...
     
  11. Moorclos

    Newcomer Moorclos Member

    Joined:
    Jan 13, 2010
    Messages:
    12
    Country:
    France
    3.2E
    4.1E
    4.2E only for those who use cioscorp v3.6 (and the ios 70 is the ios 60 in fact), with starpatch and/or preloader

    no necessity to go on 4.2E

    and as it was saying, upgrade the firmaware:

    if you don't install ios 60 first for 4.1 (or 70 for 4.2) you brick your wii when installing the sysmenu because these ios are those used by thy sysmenu...
    1: NusD; ios 60 or 70 pack in wad
    2: wadmanager 1.5 install ios 60 or 70
    3: NUs, sysmenu for 4.1
    4: wadmanager...
    (5: starpatch or other stuff)
     
  12. Sabin_Figaro

    Member Sabin_Figaro GBAtemp Regular

    Joined:
    Jul 16, 2009
    Messages:
    226
    Country:
    Colombia
    yeah you need to use Shop Updater but only for that shop channel
     
  13. Moorclos

    Newcomer Moorclos Member

    Joined:
    Jan 13, 2010
    Messages:
    12
    Country:
    France
    use NUS
    make a wad of the last version, the V18
    install it with wadmanager 1.5

    else your are going to have an official update with the remove of the hacks
     
  14. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    4.2 Update Auto-Downloader for PC (by xflak40).rar

    just follow the instructions in the pack
     
  15. lightyear

    Member lightyear GBAtemp Regular

    Joined:
    Mar 5, 2009
    Messages:
    240
    Country:
    United States
    The point is, 4.2 is worthless. Tell me one thing 4.2 can't that 4.1 with a fully updated set of IOSes can't.

    Give me just one good reason to upgrade from 4.1, and this is all over.

    Oh, and the part you're referring to about the brick potential, I should have specified, but I meant using the Ninty official updater via the system settings menu. It's dangerous as all hell!!
     
  16. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    actually, Ninty update has become a lot more stable since September 09 when the 4.2 update was first released. It is said to now be ALMOST as safe as installing bootmii as boot2 (when it first came out in Sept 09, it was buggier and resulted in a lot of bricks... its better now)
     
  17. xzxero

    Member xzxero ♥bong milk does good for the brain♥

    Joined:
    Jul 18, 2008
    Messages:
    3,831
    Location:
    SB
    Country:
    United States
    does no one realize that 4.2 came out with 10+ IOS updates?

    That's the only real benefit to 4.2.

    JUst keep your IOS's updated and your wii will not fail you [​IMG]
     
  18. Bumpman

    Member Bumpman GBAtemp Regular

    Joined:
    Jan 21, 2010
    Messages:
    252
    Country:
    United States
    I'm sure most of those are just stub IOS's.
     
  19. tj_cool

    Supervisor tj_cool Stuff

    Joined:
    Jan 7, 2009
    Messages:
    9,942
    Location:
    This planet
    Country:
    Belgium
    Nope, only 5 stubs (60 - 222 - 223 - 249 - 250)
    But they aren't even counted I think
     
  20. thesund0g

    Member thesund0g GBAtemp Fan

    Joined:
    Aug 6, 2009
    Messages:
    452
    Location:
    The Boonies
    Country:
    Antarctica
    Exactly how I feel. Why would anyone want to update to 4.2? No noteworthy features. Shitty SD card menu. "Hurrr, I gotta have the latest version!"

    Sometimes the latest version isn't the greatest. I'm not updating from 3.2 until N releases a REAL update with REAL features...or someone releases a nice sysmenu replacement. The idea behind Freedom is great, but it isn't finished.
     

Share This Page